package algs31;

public interface SymbolTable<K, V> {
    void put(K key, V val);   // put key-value pair into the table
    V get(K key);             // get value paired with key
    boolean contains(K key);  // is there a value paired with key?
    void delete(K key);       // remove key (and its value) from table
    boolean isEmpty();        // is the table empty?
    int size();               // number of key-value pairs in the table
    Iterable<K> keys();       // all the keys in the table
}
